<?php

////////////////////////////////////////
////// Комментарии к аватарам  /////////
////////////////////////////////////////

include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title']='Комментарии к аватарке';

include_once 'sys/inc/thead.php';

title();
err();
aut();

if(isset($user)){

$act=htmlspecialchars(trim($_GET['act']));

switch ($act){

default:

$int = intval(abs($_GET['uid']));
if($int != null)
{
	$result = mysql_query("SELECT count(*) AS total FROM user WHERE id=$int");
    $total = mysql_fetch_array($result);
    $total = $total['total'];
	if($total == 0)
	{
	echo 'Такого пользователя не существует';
		break;
	}
}

if($int == null)
	{
	echo 'Такого пользователя не существует';
		break;
	}

$ank = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id`= $int LIMIT 1")); 

echo 'Комментарии к аватарке <a href="/info.php?id='.$ank['id'].'">'.$ank['nick'].'</a>'; 

echo '<form action="ava_comm.php?act=new&uid='.$ank['id'].'" method="post" name="form" ">';
echo 'Сообщение (макс. 800) :<br/>';
echo '<textarea cols="20" rows="3" name="newmsg"></textarea><br/>';
echo '<input type="submit" value="Отправить" />';
echo '</form>';

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `akimitsu_com` WHERE `uid` = '".$ank['id']."' "),0);
if ($k_post == 0)
{	
	echo 'Комментариев нет';
	
}

$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

$x=mysql_query("SELECT * FROM `akimitsu_com` WHERE `uid` = '".$ank['id']."' ORDER BY `date` DESC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($x)){

$autor = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id`= '".$row['to_uid']."' LIMIT 1"));
			
$message = nl2br(bbcode(smiles($row['msg'])));
echo '<div class="rowup">';
avatar2($autor['id']);
echo " <a href='/info.php?id=$autor[id]'><span style=\"color:$autor[ncolor]\">$autor[nick]</span></a> ";
if ($autor['akimitsu_vip']==1) {echo'<img src="/vipi.gif" alt="" />'; 
}
echo '<br/>'.vremja($row['date']).'<br/><br/>'.$message.'<br/>';
if ($user['id']==$ank['id']) {
echo '<br/><a href="ava_comm.php?act=del&fid='.$row['id'].'">[Удалить]</a><br/>';
}
if ($user['id']!=$ank['id']) {
if ($user['level']==4) {
echo '<br/><a href="ava_comm.php?act=del_adm&fid='.$row['id'].'">[Удалить]</a><br/>';
}
}
echo '</div>';	};

if ($k_page>1)str('ava_comm.php?uid='.$ank['id'].'&amp;',$k_page,$page);

break;

case 'new':

$int = intval(abs($_GET['uid']));
if($int != null)
{
	$result = mysql_query("SELECT count(*) AS total FROM user WHERE id=$int");
    $total = mysql_fetch_array($result);
    $total = $total['total'];
	if($total == 0)
	{
	echo 'Такого пользователя не существует';
		break;
	}
}

if($int == null)
	{
	echo 'Такого пользователя не существует';
		break;
	}

$ank = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id`= $int LIMIT 1")); 

$newmsg=htmlspecialchars(mysql_real_escape_string(trim($_POST['newmsg'])));

if(!$newmsg){
echo 'Вы не ввели сообщение!';
break;
};

if (mb_strlen($newmsg,'utf8') > 800 ) {
echo 'Превышен лимит символов в сообщении, максимум 800...!';
break;
};

mysql_query ("INSERT INTO `akimitsu_com` (`uid`, `to_uid`,`msg`, `date`)VALUES('".$ank['id']."','".$user['id']."','".$newmsg."', '".time()."')");

$msgnos = 'Здравствуйте! Обитатель [b]'.$user['nick'].'[/b] прокомментировал вашу аватарку';
if ($user['id']!=$ank['id']) {
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$ank['id']."', '".$msgnos."', '".$time."')");
}
header ("Location: ava_comm.php?uid=".$ank['id']."");

break;

case 'del':
$fid=(int)$_GET['fid'];
if(!$fid){echo 'Пустые параметры!';break;};

echo 'Удаление сообщения'; 


$x=mysql_query("SELECT * FROM `akimitsu_com` WHERE `id`='$fid'");
if(!mysql_num_rows($x)){
echo 'Сообщения не существует!';
break;
};

$x=mysql_fetch_assoc($x);

if ($user['id']!=$x['uid']) {
echo 'Сообщение не найдено!';
break;
}else{

if (isset($_POST['submit'])) {

mysql_query("DELETE FROM `akimitsu_com` WHERE `uid` = '".$user['id']."' AND `id` = '".$fid."' ");

header ("Location: ava_comm.php?uid=".$user['id']."");
}else{

echo '<form action="ava_comm.php?act=del&fid='.$fid.'" method="post" ">';
echo 'Вы точно уверены что хотите удалить это сообщение?<br/>';
echo '<input type="submit" name="submit" value="Да" />';
echo '</form>';
echo '<form action="index.php" method="post" ">';
echo '<input type="submit" value="Нет" />';
echo '</form>';


}; }; 
break;

case 'del_adm':

if($user['level']!=4){echo 'Данная страница недоступна для вас';}else{

$int = intval(abs($_GET['uid']));
if($int != null)
{
	$result = mysql_query("SELECT count(*) AS total FROM user WHERE id=$int");
    $total = mysql_fetch_array($result);
    $total = $total['total'];
	if($total == 0)
	{
	echo 'Такого пользователя не существует';
		break;
	}
}

if($int == null)
	{
	echo 'Такого пользователя не существует';
		break;
	}

$ank = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id`= $int LIMIT 1")); 

$fid=(int)$_GET['fid'];
if(!$fid){echo 'Пустые параметры!';break;};

echo 'Удаление сообщения'; 


$x=mysql_query("SELECT * FROM `akimitsu_com` WHERE `id`='$fid' AND `uid` = '".$ank['id']."' ");
if(!mysql_num_rows($x)){
echo 'Сообщение не найдено!';
break;
};

if (isset($_POST['submit'])) {

mysql_query("DELETE FROM `akimitsu_com` WHERE `id` = '".$fid."' AND `uid` = '".$ank['id']."' LIMIT 1");

header ("Location: ava_comm.php?uid=".$ank['id']."");

}else{

echo '<form action="ava_comm.php?act=del_adm&fid='.$fid.'" method="post" ">';
echo 'Вы точно уверены что хотите удалить это сообщение?<br/>';
echo '<input type="submit" name="submit" value="Да" />';
echo '</form>';
echo '<form action="index.php" method="post" ">';
echo '<input type="submit" value="Нет" />';
echo '</form>';


}; }; 
break;

};

}else{
echo '<div class="msg">Данная страница доступна только для авторизованых пользователей!</div>';
};

include_once 'sys/inc/tfoot.php';
?>